Subject: Re: [PATCH v3 00/18] setup: drop uses of `the_repository`

From: Junio C Hamano <[email-masked]>
Date: Wed, 20 May 2026 12:31:55 +0900

Patrick Steinhardt <[email-masked]> writes:

> Changes in v3:
>   - Reverse the order of the commits that refactor `is_inside_gitdir()`
>     and `is_inside_work_tree()` and clarify the logic around why we do
>     (or do not) have to use realpath(3p). The code is ultimately not
>     changed though, we still resolve the realpath for both even though
>     it's not strictly necessary to do so for the working tree.
>   - Link to v2: https://patch.msgid.link/[email-masked]

Looking good.  Let me mark the topic for 'next'.

Thanks.